#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDD,0xED,0x36,0xCB,0x1E,0x57,0x47,0xB8,0xF2,0xD8,0xF6,0xCB,
		0xC3,0x8B,0xFC,0x0F,0x38,0x31,0x4D,0xF5,0xD0,0xBB,0xD3,0x4E,
		0x2F,0xAE,0xC9,0xA9,0x40,0xFC,0xDD,0x47,0x94,0x74,0xE4,0x47,
		0x2E,0xA4,0x40,0xFC,0x50,0x08,0x82,0x38,0x8C,0x48,0xF3,0x24,
		0x2E,0xF7,0x86,0xD4,0x95,0xFD,0x5C,0xA7,0xDA,0xAC,0xF6,0xA9,
		0x01,0xCA,0x46,0xAB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
